> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Profile Aggregations

> A `POST` to the `/profile/aggregations/batch.json` endpoint allows your application to process profile aggregations in batch.



## OpenAPI

````yaml post /v3/profile/aggregations/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profile/aggregations/batch.json:
    post:
      tags:
        - Profile Aggregation
      summary: Batch Profile Aggregations
      description: >-
        A `POST` to the `/profile/aggregations/batch.json` endpoint allows your
        application to process profile aggregations in batch.
      operationId: profileAggregation.batchJson
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchAggregationJson'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchAggregationJson:
      type: object
      properties:
        aggregations:
          type: array
          items:
            type: object
            properties:
              profile_id:
                type: string
              shop_days:
                type:
                  - integer
                  - 'null'
              shop_count:
                type:
                  - integer
                  - 'null'
              spend_12m:
                type:
                  - number
                  - 'null'
              spend_12m_now:
                type:
                  - number
                  - 'null'
              spend_all:
                type:
                  - number
                  - 'null'
              spend_atv_12m:
                type:
                  - number
                  - 'null'
              spend_atv_all:
                type:
                  - number
                  - 'null'
              spend_first_date:
                type:
                  - string
                  - 'null'
                format: date-time
              spend_last_date:
                type:
                  - string
                  - 'null'
                format: date-time
              dimension_frequency:
                type:
                  - string
                  - 'null'
              dimension_recency:
                type:
                  - string
                  - 'null'
              dimension_join:
                type:
                  - string
                  - 'null'
              channel:
                type:
                  - string
                  - 'null'
              likely_country:
                type:
                  - string
                  - 'null'
              likely_country_score:
                type:
                  - number
                  - 'null'
              purchased_brands:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              discount_avg:
                type:
                  - number
                  - 'null'
              total_shop_days:
                type:
                  - integer
                  - 'null'
              first_shop_days:
                type:
                  - integer
                  - 'null'
              second_shop_days:
                type:
                  - integer
                  - 'null'
              latest_shop_days:
                type:
                  - integer
                  - 'null'
              average_shop_days:
                type:
                  - number
                  - 'null'
              second_shop_date:
                type:
                  - string
                  - 'null'
                format: date-time
              previous_shop_date:
                type:
                  - string
                  - 'null'
                format: date-time
              at_risk_date:
                type:
                  - string
                  - 'null'
                format: date-time
              latest_shop_spend:
                type:
                  - number
                  - 'null'
              latest_shop_currency_id:
                type:
                  - integer
                  - 'null'
              latest_transacted_location_id:
                type:
                  - integer
                  - 'null'
              transacted_locations:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              likely_country_iso:
                type:
                  - string
                  - 'null'
              likely_country_iso_score:
                type:
                  - number
                  - 'null'
              likely_state_iso:
                type:
                  - string
                  - 'null'
              likely_state_iso_score:
                type:
                  - number
                  - 'null'
              likely_region:
                type:
                  - string
                  - 'null'
              likely_region_score:
                type:
                  - number
                  - 'null'
              most_spend_location_id:
                type:
                  - integer
                  - 'null'
              most_spend_12m_location_id:
                type:
                  - integer
                  - 'null'
              top_historic_status_id:
                type:
                  - integer
                  - 'null'
            required:
              - profile_id
          minItems: 1
      required:
        - aggregations
      title: BatchAggregationJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````